## org.eclipse.emf.ecoretools.diagram.part
Class EcoreCreateShortcutAction

    java.lang.Object
      org.eclipse.emf.ecoretools.diagram.part.EcoreCreateShortcutAction

All Implemented Interfaces:
  org.eclipse.ui.IActionDelegate, org.eclipse.ui.IObjectActionDelegate

    public class EcoreCreateShortcutAction

extends java.lang.Object
implements org.eclipse.ui.IObjectActionDelegate

Constructor Summary
`EcoreCreateShortcutAction()`

Method Summary
`void` `run(org.eclipse.jface.action.IAction action)`
`void` `selectionChanged(org.eclipse.jface.action.IAction action, org.eclipse.jface.viewers.ISelection selection)`
`void` `setActivePart(org.eclipse.jface.action.IAction action, org.eclipse.ui.IWorkbenchPart targetPart)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EcoreCreateShortcutAction

    public EcoreCreateShortcutAction()

Method Detail

### setActivePart

    public void setActivePart(org.eclipse.jface.action.IAction action,
                              org.eclipse.ui.IWorkbenchPart targetPart)

  Specified by:
    `setActivePart` in interface `org.eclipse.ui.IObjectActionDelegate`

### selectionChanged

    public void selectionChanged(org.eclipse.jface.action.IAction action,
                                 org.eclipse.jface.viewers.ISelection selection)

  Specified by:
    `selectionChanged` in interface `org.eclipse.ui.IActionDelegate`

### run

    public void run(org.eclipse.jface.action.IAction action)

  Specified by:
    `run` in interface `org.eclipse.ui.IActionDelegate`

Copyright 2007 Anyware Technologies. All Rights Reserved.